Name:          ibus-hangul
Summary:       ibus - Korean Hangul engine
Version:       1.5.3
Release:       %mkrel 1
Group:         System/Internationalization
License:       GPLv2+
URL:           https://github.com/choehwanjin/ibus-hangul
Source0:       https://github.com/choehwanjin/ibus-hangul/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(ibus-1.0) >= 1.3.99
BuildRequires: pkgconfig(libhangul) >= 0.1.0
BuildRequires: intltool >= 0.35.0
Requires:      ibus >= 1.3.99

%description
ibus - Korean Hangul engine.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %name

%files -f %name.lang
%{_bindir}/*
%{_libexecdir}/ibus-*
%{_datadir}/%{name}/
%{_iconsdir}/*/*/*
%{_datadir}/ibus/component/*.xml
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.engine.hangul.gschema.xml
%{_metainfodir}/org.freedesktop.ibus.engine.hangul.metainfo.xml


%changelog
* Mon Mar 02 2020 daviddavid <daviddavid> 1.5.3-1.mga8
+ Revision: 1552770
- new version: 1.5.3

* Sat Feb 15 2020 umeabot <umeabot> 1.5.1-2.mga8
+ Revision: 1523961
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Mar 17 2019 daviddavid <daviddavid> 1.5.1-1.mga7
+ Revision: 1378284
- new version: 1.5.1
- remove merged upstream patch

* Sun Sep 23 2018 umeabot <umeabot> 1.5.0-4.mga7
+ Revision: 1298255
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 wally <wally> 1.5.0-3.mga7
+ Revision: 1238728
- fix build on aarch64
- drop unneeded BRs
+ kekepower <kekepower>
- Use make_build

* Mon Feb 15 2016 umeabot <umeabot> 1.5.0-2.mga6
+ Revision: 960647
- Mageia 6 Mass Rebuild

* Mon Sep 07 2015 fwang <fwang> 1.5.0-1.mga6
+ Revision: 873886
- 1.5.0

* Wed Oct 15 2014 umeabot <umeabot> 1.4.2-4.mga5
+ Revision: 739432
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.2-3.mga5
+ Revision: 680413
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Sat Oct 19 2013 umeabot <umeabot> 1.4.2-2.mga4
+ Revision: 523642
- Mageia 4 Mass Rebuild

* Thu May 23 2013 fwang <fwang> 1.4.2-1.mga4
+ Revision: 425480
- new version 1.4.2

* Sat Jan 12 2013 fwang <fwang> 1.4.1-3.mga3
+ Revision: 354297
- update file list
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 23 2012 fwang <fwang> 1.4.1-2.mga3
+ Revision: 309331
- rebuild for new ibus

* Mon May 28 2012 fwang <fwang> 1.4.1-1.mga3
+ Revision: 247790
- update file list
- new version 1.4.1

* Wed Jan 11 2012 fwang <fwang> 1.4.0-1.mga2
+ Revision: 194964
- update file list
- new version 1.4.0

* Wed Nov 02 2011 fwang <fwang> 1.3.2-1.mga2
+ Revision: 161551
- new version 1.3.2

* Mon Oct 31 2011 fwang <fwang> 1.3.1-4.mga2
+ Revision: 160318
- rebuild for new libhangul

* Sat Sep 24 2011 fwang <fwang> 1.3.1-3.mga2
+ Revision: 147507
- add fedora patch to build with ibus 1.4
- rebuild of new ibus
- add ibus helper for registering engine

* Fri Mar 18 2011 tv <tv> 1.3.1-1.mga1
+ Revision: 73562
- imported package ibus-hangul


* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 1.3.1-1mdv2011.0
+ Revision: 640312
- new version 1.3.1

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.0.20100329-2mdv2011.0
+ Revision: 611122
- rebuild

* Mon Apr 26 2010 Funda Wang <fwang@mandriva.org> 1.3.0.20100329-1mdv2010.1
+ Revision: 538845
- new version 1.3.0.20100329

* Sun Jan 03 2010 Funda Wang <fwang@mandriva.org> 1.2.0.20100102-1mdv2010.1
+ Revision: 485770
- BR intltool
- new version 1.2.0.20100102

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20091031-1mdv2010.1
+ Revision: 460646
- bump BR
- New version  1.2.0.20091031

* Mon Aug 03 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090617-1mdv2010.0
+ Revision: 408395
- new version 1.2.0

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090328-2mdv2010.0
+ Revision: 369491
- New version 1.1.0.20090328

* Fri Feb 13 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090211-2mdv2009.1
+ Revision: 340004
- New version 1.1.0.20090211

* Sat Feb 07 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090205-2mdv2009.1
+ Revision: 338336
- fix file list

* Thu Feb 05 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090205-1mdv2009.1
+ Revision: 337934
- swig is of no use here
- no more python dep
- New version 1.1.0.20090205

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20081023-2mdv2009.1
+ Revision: 318671
- rebuild for new python

* Thu Oct 23 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20081023-1mdv2009.1
+ Revision: 296678
- New version 0.1.1.20081023

* Fri Sep 05 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080901-1mdv2009.0
+ Revision: 281258
- new version

* Mon Aug 25 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080823-1mdv2009.0
+ Revision: 275852
- import ibus-hangul


